[med-svn] [Git][med-team/libbigwig][master] 4 commits: Add autopkgtests

Mohd Bilal (@rmb) gitlab at salsa.debian.org
Mon Aug 29 17:58:17 BST 2022



Mohd  Bilal pushed to branch master at Debian Med / libbigwig


Commits:
f62d8725 by Mohammed Bilal at 2022-08-29T16:55:01+00:00
Add autopkgtests

- - - - -
37017c18 by Mohammed Bilal at 2022-08-29T16:56:06+00:00
routine-update: Packaging update

- - - - -
28b6a63a by Mohammed Bilal at 2022-08-29T16:56:49+00:00
routine-update: Ready to upload to unstable

- - - - -
fa38efe7 by Mohammed Bilal at 2022-08-29T16:57:50+00:00
Update changelog

- - - - -


3 changed files:

- debian/changelog
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+libbigwig (0.4.7+dfsg-2) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * Add autopkgtests
+
+ -- Mohammed Bilal <mdbilal at disroot.org>  Mon, 29 Aug 2022 16:57:29 +0000
+
 libbigwig (0.4.7+dfsg-1) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, libcurl-dev, zlib1g-dev
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,41 @@
+#!/bin/bash
+set -e
+
+pkg=libbigwig
+CUR_DIR=`pwd`
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/test "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo "1c52065211fdc44eea45751a9cbfffe0 test/Local.bw" >> checksums
+echo "8e116bd114ffd2eb625011d451329c03 test/Write.bw" >> checksums
+echo "ef104f198c6ce8310acc149d0377fc16 test/example_output.bw" >> checksums
+
+LIB_STATIC=`find /usr/lib -name libBigWig.a`
+
+#Compile using installed libbigwig
+echo 'Compiling ...'
+gcc -g -Wall   test/testLocal.c ${LIB_STATIC} -lBigWig -lcurl -lm -lz -o testlocal
+gcc -g -Wall   test/testWrite.c ${LIB_STATIC} -lBigWig -lm -lz -lcurl -o testWrite
+gcc -g -Wall   test/exampleWrite.c ${LIB_STATIC} -lBigWig -lcurl -lm -lz -o examplewrite
+
+echo '------------------------------'
+
+echo -e "Test 1"
+./testlocal test/test.bw > test/Local.bw
+
+echo -e "Test 2"
+./testWrite test/test.bw test/Write.bw
+
+echo -e "Test 3"
+./examplewrite
+
+md5sum --check checksums
+echo -e "PASS"



View it on GitLab: https://salsa.debian.org/med-team/libbigwig/-/compare/5d20902fc37b019e75e6e6d29132229af17c8d32...fa38efe79baf815342768e39ff20931030dd036d

-- 
View it on GitLab: https://salsa.debian.org/med-team/libbigwig/-/compare/5d20902fc37b019e75e6e6d29132229af17c8d32...fa38efe79baf815342768e39ff20931030dd036d
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220829/75b169d9/attachment-0001.htm>


More information about the debian-med-commit mailing list